Skip to main content

mch — NCAA additional

3 endpoints on sdv.mch. Each is exposed under a camelCase canonical name and a snake_case alias (py/R parity), accepts snake_case or camelCase params, and returns raw ESPN JSON by default ({ parsed: true } for tidy rows).

espnMchRankings

MCH — rankings (ESPN site.api.espn.com).

Endpoint URL: GET https://site.api.espn.com/apis/site/v2/sports/hockey/mens-college-hockey/rankings

API paramJSrequireddescription
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.mch.espnMchRankings({});
// snake_case alias (py/R parity): sdv.mch.espn_mch_rankings(...)

espnMchSeasonRecruits

MCH — season recruits (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/hockey/leagues/mens-college-hockey/seasons/{season}/recruits

API paramJSrequireddescription
{season}seasonyespath parameter
limitlimitnoquery parameter (default 100)
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.mch.espnMchSeasonRecruits({ season: '…' });
// snake_case alias (py/R parity): sdv.mch.espn_mch_season_recruits(...)

espnMchSeasonWeekRankings

MCH — season week rankings (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/hockey/leagues/mens-college-hockey/seasons/{season}/types/{season_type}/weeks/{week}/rankings

API paramJSrequireddescription
{season}seasonyespath parameter
{season_type}season_typeyespath parameter
{week}weekyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.mch.espnMchSeasonWeekRankings({ season: '…', season_type: '…', week: '…' });
// snake_case alias (py/R parity): sdv.mch.espn_mch_season_week_rankings(...)